## EDataFactory EDataFactory — an abstract base class for a D-Bus server |

## Synopsis

    #include <libebackend/e-data-factory>

    struct              EDataFactory;
    EBackend *	         e_data_factory_get_backend          (EDataFactory *factory,
                                                             const gchar *hash_key,
                                                             ESource *source);
    gboolean            e_data_factory_get_online           (EDataFactory *factory);
    void                e_data_factory_set_online           (EDataFactory *factory,
                                                             gboolean online);

## Object Hierarchy

      GObject
       +----EDBusServer
             +----EDataFactory

## Implemented Interfaces

EDataFactory implements EExtensible and GInitable.

## Properties

      "online"                   gboolean              : Read / Write / Construct

## Description

## Details

### struct EDataFactory

    struct EDataFactory;

Contains only private data that should be read and manipulated using the functions below.

Since 3.4

### e_data_factory_get_backend ()

    EBackend *	         e_data_factory_get_backend          (EDataFactory *factory,
                                                             const gchar *hash_key,
                                                             ESource *source);

### e_data_factory_get_online ()

    gboolean            e_data_factory_get_online           (EDataFactory *factory);

### e_data_factory_set_online ()

    void                e_data_factory_set_online           (EDataFactory *factory,
                                                             gboolean online);

## Property Details

### The `"online"` property

      "online"                   gboolean              : Read / Write / Construct

Whether the server is online.

Default value: TRUE